SDL_SaveBMP_IO(3)

NAME
SDL_SaveBMP_IO - Save a surface to a seekable SDL data stream in BMP format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SaveBMP_IO(SDL_Surface *surface, SDL_IOStream *dst, SDL_bool closeio);

DESCRIPTION
Surfaces with a 24-bit, 32-bit and paletted 8-bit format get saved in the BMP directly. Other RGB formats with 8-bit or higher get converted to a 24-bit surface or, if they have an alpha mask or a colorkey, to a 32-bit surface before they are saved. YUV and paletted 1-bit and 4-bit formats are not supported.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure containing the image to be saved

dst a data stream to save to

closeio
    if SDL_TRUE , calls SDL_CloseIO () on dst before returning, even in the case of an error

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LoadBMP_IO(3), SDL_SaveBMP(3)